import React, { useState } from "react";

function TodoForm(props) {
  const [input, setInput] = useState("");

  const onChange = (e) => {
    setInput(e.target.value);
  };

  const Submit = (e) => {
    e.preventDefault();

    props.onSubmit({
      id: Math.floor(Math.random() * 10000),
      text: input,
      complete: false
    });
    setInput("");
  };

  return (
    <form onSubmit={Submit}>
      <div className="add-form">
        <div className='form-control'>
          <input
            placeholder="Todo..."
            value={input}
            onChange={onChange}
            name="text"
          />
        </div>
        <button className="btn" onClick={Submit}>Add</button>
      </div>
    </form>
  );
}

export default TodoForm;
